List document requests
curl --request GET \
--url https://api.uk.veridox.ai/document-requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.uk.veridox.ai/document-requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.uk.veridox.ai/document-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uk.veridox.ai/document-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uk.veridox.ai/document-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uk.veridox.ai/document-requests")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uk.veridox.ai/document-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_email": "jsmith@example.com",
"recipient_name": "<string>",
"label": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"max_files": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}Document Requests
List Document Requests
Retrieve a paginated list of the document requests you can reach.
GET
/
document-requests
List document requests
curl --request GET \
--url https://api.uk.veridox.ai/document-requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.uk.veridox.ai/document-requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.uk.veridox.ai/document-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uk.veridox.ai/document-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uk.veridox.ai/document-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uk.veridox.ai/document-requests")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uk.veridox.ai/document-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_email": "jsmith@example.com",
"recipient_name": "<string>",
"label": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"max_files": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}{
"error_code": "request.cases.file.missing-risk-score",
"error_message": "User tried to perform an invalid operation on a file without a risk score.",
"error_details": {
"field": "email_address"
}
}Retrieve a paginated list of document requests. This endpoint supports filtering by status, searching by ID, and sorting options.
This endpoint requires the Document Requests feature to be enabled for your organisation. Without it, the API returns
403 with request.organisations.module.not-enabled. Learn more.Permission
You see the document requests you created, or every document request in your organisation if you haveorganisation_cases:read or your organisation has shared cases enabled. An API key without organisation_cases:read receives an empty list, unless your organisation has shared cases enabled. See Permissions and API Keys.
Features
- Filtering: Filter by request status (
pending,completed,expired) or specific request ID. - Sorting: Order results by creation date to find newest requests first.
- Pagination: Use
limitandoffsetto manage large result sets.
Best Practices
- Monitor Status: Regularly list
pendingrequests to track completion rates and identify customers who may need a follow-up. - Expiration Tracking: Identify requests approaching their
expires_atdate to ensure document collection is completed in time. - Efficiency: Use a
limitof 100 for background reporting and 20-50 for user-facing dashboards.
Authorizations
Query Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Available options:
pending, completed, expired Available options:
asc, desc Response
List of document requests retrieved successfully
Was this page helpful?
⌘I